Core - Bug # 53918

Epic # 55070 (Accepted): Workpackages

Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)

Bug # 52949 (Resolved): Speed decrease since 4.5

Status: Resolved Priority: Should have
Author: Michiel Roos Category: Performance
Created: 2013-11-25 Assigned To:

Updated: 2013-11-26 Due date:

TYPO3 Version: 6.2

PHP Version: 5.3

Complexity: no-brainer

Is Regression: No

Sprint Focus:

Subject: t3skin calls addlconSprite for each language

Description

The t3skin extension adds icon sprites for each language. And that's great, but not so great that it takes 22 ms to add all the icon

sprites for each language and an overlay icon because the addlconSprite is called for each language.

Instead the iconArray can be built up and submitted once to addlconSprite.

This saves 248 calls to addlconSprite which calls array_merge etc.

This saves ~ 22 ms for each request.

Associated revisions

Revision 0dfe7c¢86 - 2013-11-26 09:44 - Michiel Roos

[BUGFIX] t3skin calls addlconSprite for each lang

The t3skin extension adds icon sprites for each language. And that's

great, but not so great that it calls addiconSprite for each language.

Instead the iconArray can be built up and submitted once to

addlconSprite.

This saves 248 calls to addlconSprite which calls array_merge etc.
This saves ~ 22 ms for each request.

Change-Id: 10fdc09de46899e4160f907aefd8b3b3b596a2df3
Resolves: #53918

Releases: 6.0, 6.1, 6.2
Reviewed-on: https://review.typo3.org/25670

Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe

Revision 3eda3996 - 2013-11-26 09:45 - Michiel Roos
https://review.typo3.org/25670

[BUGFIX] t3skin calls addlconSprite for each lang

The t3skin extension adds icon sprites for each language. And that's
great, but not so great that it calls addiconSprite for each language.

Instead the iconArray can be built up and submitted once to
addlconSprite.

This saves 248 calls to addlconSprite which calls array_merge etc.
This saves ~ 22 ms for each request.

Change-Id: 10fdc09de46899e4160f907aefd8b3b3b596a2df3
Resolves: #53918

Releases: 6.0, 6.1, 6.2
Reviewed-on: https://review.typo3.0rg/25683

Reviewed-by: Philipp Gampe

Tested-by: Philipp Gampe

Revision 762cb0a0 - 2013-11-26 09:46 - Michiel Roos

[BUGFIX] t3skin calls addlconSprite for each lang

The t3skin extension adds icon sprites for each language. And that's
great, but not so great that it calls addiconSprite for each language.

Instead the iconArray can be built up and submitted once to
addlconSprite.

This saves 248 calls to addlconSprite which calls array_merge etc.
This saves ~ 22 ms for each request.

Change-Id: 10fdc09de46899e4160f907aefd8b3b3b596a2df3
Resolves: #53918

Releases: 6.0, 6.1, 6.2
Reviewed-on: https://review.typo3.org/25684

Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe

History

#1 - 2013-11-25 11:44 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/25670

#2 - 2013-11-25 11:46 - Markus Klein
- Parent task set to #52949
#3 - 2013-11-26 09:43 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/25670

#4 - 2013-11-26 09:44 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/25683

#5 - 2013-11-26 09:45 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25684

#6 - 2013-11-26 10:30 - Michiel Roos
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:762cb0a01c4eecc534a60641709d321b1754d60e.
